Package it.ernytech.tdlib

## Class TdApi.ClearRecentStickers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ClearRecentStickers

Enclosing class:
  TdApi

    public static class TdApi.ClearRecentStickers
    extends TdApi.Function

Clears the list of recently used stickers.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isAttached` Pass true to clear the list of stickers recently attached to photo or video files; pass false to clear the list of recently sent stickers.

### Constructor Summary

Constructors
`ClearRecentStickers()` Default constructor.
`ClearRecentStickers​(boolean isAttached)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### isAttached

    public boolean isAttached

Pass true to clear the list of stickers recently attached to photo or video files; pass false to clear the list of recently sent stickers.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ClearRecentStickers

    public ClearRecentStickers()

Default constructor.

#### ClearRecentStickers

    public ClearRecentStickers​(boolean isAttached)

Constructor for initialization of all fields.

Parameters:
  `isAttached` - Pass true to clear the list of stickers recently attached to photo or video files; pass false to clear the list of recently sent stickers.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR